#! /bin/sh

# add mysql connect options here if necessary
MYSQL="mysql "

$MYSQL -e "drop database if exists TEST_DB_1;"

$MYSQL -e "create database TEST_DB_1;" 

$MYSQL -e "CREATE TABLE  TEST_DB_1.MYTABLENAME ( ATTR1 int(10) unsigned NOT NULL DEFAULT '0', ATTR2 int(10) unsigned NOT NULL, PRIMARY KEY (ATTR1)) ENGINE=ndbcluster ; " 

echo "test 1 - expected to fail"
./bug31804

$MYSQL -e "drop table TEST_DB_1.MYTABLENAME;"  

$MYSQL -e "CREATE TABLE TEST_DB_1.MYTABLENAME ( ATTR1 int(10) unsigned NOT NULL auto_increment, ATTR2 int(10) unsigned NOT NULL, PRIMARY KEY (ATTR1)) ENGINE=ndbcluster ; "  TEST_DB_1

echo "test 2 - expected to pass"
./bug31804

$MYSQL -e "drop table TEST_DB_1.MYTABLENAME;"

$MYSQL -e "CREATE TABLE TEST_DB_1.MYTABLENAME ( ATTR1 int(10) unsigned NOT NULL DEFAULT '0', ATTR2 int(10) unsigned NOT NULL, PRIMARY KEY (ATTR1)) ENGINE=ndbcluster ; "

echo "test 3 - expected to fail"
./bug31804

$MYSQL -e "drop database TEST_DB_1;"

$MYSQL -e "create database TEST_DB_1;" 

$MYSQL -e "CREATE TABLE TEST_DB_1.MYTABLENAME ( ATTR1 int(10) unsigned NOT NULL DEFAULT '0', ATTR2 int(10) unsigned NOT NULL, PRIMARY KEY (ATTR1)) ENGINE=ndbcluster ; "

echo "test 4 - expected to fail"
./bug31804



